Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1067296 - Win2012r2 fails to create a new partition(met on IDE only) Error Code: 0x8004245F
Summary: Win2012r2 fails to create a new partition(met on IDE only) Error Code: 0x8004...
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: qemu-kvm
Version: 7.0
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: rc
: ---
Assignee: Hai Huang
QA Contact: Virtualization Bugs
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-02-20 07:19 UTC by Xiaoqing Wei
Modified: 2014-03-19 13:30 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-03-19 13:30:59 UTC


Attachments (Terms of Use)
pic (deleted)
2014-02-20 07:20 UTC, Xiaoqing Wei
no flags Details

Description Xiaoqing Wei 2014-02-20 07:19:12 UTC
Description of problem:
Win2012r2 installer prompting fail to create a new partition, only met it on IDE type

Version-Release number of selected component (if applicable):
kernel-3.10.0-86.el7.x86_64
qemu-kvm-rhev-1.5.3-48.el7.x86_64
spice-server-0.12.4-5.el7.x86_64
seabios-bin-1.7.2.2-11.el7.x86_64
seavgabios-bin-1.7.2.2-11.el7.x86_64
sgabios-bin-0.20110622svn-4.el7.noarch
ipxe-roms-qemu-20130517-4.gitc4bce43.el7.noarch


How reproducible:
7/8
virtio-blk virtio-scsi ahci tested each 4 but met 0.
Steps to Reproduce:
1.

/usr/local/staf/test/RHEV/kvm/autotest-devel/client/tests/virt/qemu/qemu \
    -S  \
    -name 'virt-tests-vm1'  \
    -sandbox off  \
    -M pc  \
    -nodefaults  \
    -vga qxl  \
    -global qxl-vga.vram_size=33554432  \
    -chardev socket,id=qmp_id_qmpmonitor1,path=/tmp/monitor-qmpmonitor1-20140218-153301-x5FWwZrj,server,nowait \
    -mon chardev=qmp_id_qmpmonitor1,mode=control  \
    -chardev socket,id=serial_id_serial0,path=/tmp/serial-serial0-20140218-153301-x5FWwZrj,server,nowait \
    -device isa-serial,chardev=serial_id_serial0  \
    -chardev socket,id=seabioslog_id_20140218-153301-x5FWwZrj,path=/tmp/seabios-20140218-153301-x5FWwZrj,server,nowait \
    -device isa-debugcon,chardev=seabioslog_id_20140218-153301-x5FWwZrj,iobase=0x402 \
    -device ich9-usb-uhci1,id=usb1,bus=pci.0,addr=03 \
    -drive id=drive_image1,if=none,cache=none,snapshot=off,aio=threads,file=/usr/local/staf/test/RHEV/kvm/autotest-devel/client/tests/virt/shared/data/images/win2012r2-64-virtio.raw \
    -device ide-hd,id=image1,drive=drive_image1,bus=ide.0,unit=0 \
    -device virtio-net-pci,mac=9a:f1:f2:f3:f4:f5,id=idRQR8dB,netdev=idLACtqD,bus=pci.0,addr=04  \
    -netdev tap,id=idLACtqD,vhost=on,vhostfd=28,fd=27  \
    -m 2048  \
    -smp 2,maxcpus=2,cores=1,threads=1,sockets=2  \
    -cpu 'SandyBridge',+kvm_pv_unhalt,hv_relaxed,hv_spinlocks=0x1fff,hv_vapic \
    -drive id=drive_cd1,if=none,snapshot=off,aio=threads,media=cdrom,file=/usr/local/staf/test/RHEV/kvm/autotest-devel/client/tests/virt/shared/data/isos/ISO/Win2012R2/en_windows_server_2012_r2_x64_dvd_2707946.iso \
    -device ide-cd,id=cd1,drive=drive_cd1,bus=ide.0,unit=1 \
    -drive id=drive_winutils,if=none,snapshot=off,aio=threads,media=cdrom,file=/usr/local/staf/test/RHEV/kvm/autotest-devel/client/tests/virt/shared/data/isos/windows/winutils.iso \
    -device ide-cd,id=winutils,drive=drive_winutils,bus=ide.1,unit=0 \
    -drive id=drive_virtio,if=none,snapshot=off,aio=threads,media=cdrom,file=/usr/local/staf/test/RHEV/kvm/autotest-devel/client/tests/virt/shared/data/isos/windows/virtio-win.latest_prewhql.iso \
    -device ide-cd,id=virtio,drive=drive_virtio,bus=ide.1,unit=1 \
    -drive id=drive_fl,if=none,cache=none,snapshot=off,readonly=off,aio=threads,file=/usr/local/staf/test/RHEV/kvm/autotest-devel/client/tests/virt/shared/data/images/win2012r2-64/answer.vfd \
    -global isa-fdc.driveA=drive_fl \
    -device usb-tablet,id=usb-tablet1,bus=usb1.0,port=1  \
    -spice port=3000,password=123456,addr=0,image-compression=auto_glz,zlib-glz-wan-compression=auto,streaming-video=all,agent-mouse=on,playback-compression=on,ipv4  \
    -rtc base=localtime,clock=host,driftfix=slew  \
    -boot order=cdn,once=d,menu=off \
    -enable-kvm
2.
3.

Actual results:
Guest OS fails to install, installer prompts could not create partition

Expected results:
partition created success and installation finish smoothly

Additional info:



02/18 15:33:01 INFO |unattended:0898| Starting unattended install setup
02/18 15:33:01 DEBUG|unattended:0497| Unattended install contents:
02/18 15:33:01 DEBUG|unattended:0499| <?xml version="1.0" ?><unattend xmlns="urn:schemas-microsoft-com:unattend">
02/18 15:33:01 DEBUG|unattended:0499| 	<settings pass="windowsPE">
02/18 15:33:01 DEBUG|unattended:0499| 		<component language="neutral" name="Microsoft-Windows-International-Core-WinPE" processorArchitecture="amd64" publicKeyToken="31bf3856ad364e35" versionScope="nonSxS" xmlns:wcm="http://schemas.microsoft.com/WMIConfig/2002/State" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance">
02/18 15:33:01 DEBUG|unattended:0499| 			<SetupUILanguage>
02/18 15:33:01 DEBUG|unattended:0499| 				<UILanguage>en-us</UILanguage>
02/18 15:33:01 DEBUG|unattended:0499| 			</SetupUILanguage>
02/18 15:33:01 DEBUG|unattended:0499| 			<InputLocale>0409:00000409</InputLocale>
02/18 15:33:01 DEBUG|unattended:0499| 			<SystemLocale>en-us</SystemLocale>
02/18 15:33:01 DEBUG|unattended:0499| 			<UILanguage>en-us</UILanguage>
02/18 15:33:01 DEBUG|unattended:0499| 			<UILanguageFallback>en-us</UILanguageFallback>
02/18 15:33:01 DEBUG|unattended:0499| 			<UserLocale>en-us</UserLocale>
02/18 15:33:01 DEBUG|unattended:0499| 		</component>
02/18 15:33:01 DEBUG|unattended:0499| 		<component language="neutral" name="Microsoft-Windows-PnpCustomizationsWinPE" processorArchitecture="amd64" publicKeyToken="31bf3856ad364e35" versionScope="nonSxS" xmlns:wcm="http://schemas.microsoft.com/WMIConfig/2002/State" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance">
02/18 15:33:01 DEBUG|unattended:0499| 			<DriverPaths>
02/18 15:33:01 DEBUG|unattended:0499| 				<PathAndCredentials wcm:action="add" wcm:keyValue="1">
02/18 15:33:01 DEBUG|unattended:0499| 					<Path>A:\amd64\Win2012</Path>
02/18 15:33:01 DEBUG|unattended:0499| 				</PathAndCredentials>
02/18 15:33:01 DEBUG|unattended:0499| 				<PathAndCredentials wcm:action="add" wcm:keyValue="2">
02/18 15:33:01 DEBUG|unattended:0499| 					<Path>F:\NetKVM\2k12\amd64</Path>
02/18 15:33:01 DEBUG|unattended:0499| 				</PathAndCredentials>
02/18 15:33:01 DEBUG|unattended:0499| 			</DriverPaths>
02/18 15:33:01 DEBUG|unattended:0499| 		</component>
02/18 15:33:01 DEBUG|unattended:0499| 		<component language="neutral" name="Microsoft-Windows-Setup" processorArchitecture="amd64" publicKeyToken="31bf3856ad364e35" versionScope="nonSxS" xmlns:wcm="http://schemas.microsoft.com/WMIConfig/2002/State" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance">
02/18 15:33:01 DEBUG|unattended:0499| 			<DiskConfiguration>
02/18 15:33:01 DEBUG|unattended:0499| 				<WillShowUI>OnError</WillShowUI>
02/18 15:33:01 DEBUG|unattended:0499| 				<Disk wcm:action="add">
02/18 15:33:01 DEBUG|unattended:0499| 					<CreatePartitions>
02/18 15:33:01 DEBUG|unattended:0499| 						<CreatePartition wcm:action="add">
02/18 15:33:01 DEBUG|unattended:0499| 							<Order>1</Order>
02/18 15:33:01 DEBUG|unattended:0499| 							<Size>30000</Size>
02/18 15:33:01 DEBUG|unattended:0499| 							<Type>Primary</Type>
02/18 15:33:01 DEBUG|unattended:0499| 						</CreatePartition>
02/18 15:33:01 DEBUG|unattended:0499| 					</CreatePartitions>
02/18 15:33:01 DEBUG|unattended:0499| 					<ModifyPartitions>
02/18 15:33:01 DEBUG|unattended:0499| 						<ModifyPartition wcm:action="add">
02/18 15:33:01 DEBUG|unattended:0499| 							<Active>true</Active>
02/18 15:33:01 DEBUG|unattended:0499| 							<Extend>false</Extend>
02/18 15:33:01 DEBUG|unattended:0499| 							<Format>NTFS</Format>
02/18 15:33:01 DEBUG|unattended:0499| 							<Label>OS_Install</Label>
02/18 15:33:01 DEBUG|unattended:0499| 							<Letter>C</Letter>
02/18 15:33:01 DEBUG|unattended:0499| 							<Order>1</Order>
02/18 15:33:01 DEBUG|unattended:0499| 							<PartitionID>1</PartitionID>
02/18 15:33:01 DEBUG|unattended:0499| 						</ModifyPartition>
02/18 15:33:01 DEBUG|unattended:0499| 					</ModifyPartitions>
02/18 15:33:01 DEBUG|unattended:0499| 					<DiskID>0</DiskID>
02/18 15:33:01 DEBUG|unattended:0499| 					<WillWipeDisk>true</WillWipeDisk>
02/18 15:33:01 DEBUG|unattended:0499| 				</Disk>
02/18 15:33:01 DEBUG|unattended:0499| 			</DiskConfiguration>
02/18 15:33:01 DEBUG|unattended:0499| 			<ImageInstall>
02/18 15:33:01 DEBUG|unattended:0499| 				<OSImage>
02/18 15:33:01 DEBUG|unattended:0499| 					<InstallFrom>
02/18 15:33:01 DEBUG|unattended:0499| 						<MetaData wcm:action="add">
02/18 15:33:01 DEBUG|unattended:0499| 							<Key>/IMAGE/NAME</Key>
02/18 15:33:01 DEBUG|unattended:0499|               <!--This index depends on your install ISO. Please update to a proper one if install failed. http://technet.microsoft.com/en-us/library/ff716384.aspx -->
02/18 15:33:01 DEBUG|unattended:0499|               <!-- use "dism /get-wiminfo /wimfile:D:\sources\install.wim" to know which value should be used.-->
02/18 15:33:01 DEBUG|unattended:0499| 							<Value>Windows Server 2012 R2 SERVERDATACENTER</Value>
02/18 15:33:01 DEBUG|unattended:0499| 						</MetaData>
02/18 15:33:01 DEBUG|unattended:0499| 					</InstallFrom>
02/18 15:33:01 DEBUG|unattended:0499| 					<InstallTo>
02/18 15:33:01 DEBUG|unattended:0499| 						<DiskID>0</DiskID>
02/18 15:33:01 DEBUG|unattended:0499| 						<PartitionID>1</PartitionID>
02/18 15:33:01 DEBUG|unattended:0499| 					</InstallTo>
02/18 15:33:01 DEBUG|unattended:0499| 				</OSImage>
02/18 15:33:01 DEBUG|unattended:0499| 			</ImageInstall>
02/18 15:33:01 DEBUG|unattended:0499| 			<UserData>
02/18 15:33:01 DEBUG|unattended:0499| 				<ProductKey>
02/18 15:33:01 DEBUG|unattended:0499| 		      <!-- Work with Product Keys and Activation http://technet.microsoft.com/en-us/library/hh825195.aspx -->
02/18 15:33:01 DEBUG|unattended:0499| 					<Key>NHXMP-R24FP-JT3PQ-BQHRB-QJY6B</Key>
02/18 15:33:01 DEBUG|unattended:0499| 					<WillShowUI>OnError</WillShowUI>
02/18 15:33:01 DEBUG|unattended:0499| 				</ProductKey>
02/18 15:33:01 DEBUG|unattended:0499| 				<AcceptEula>true</AcceptEula>
02/18 15:33:01 DEBUG|unattended:0499| 			</UserData>
02/18 15:33:01 DEBUG|unattended:0499| 		</component>
02/18 15:33:01 DEBUG|unattended:0499| 	</settings>
02/18 15:33:01 DEBUG|unattended:0499| 	<settings pass="specialize">
02/18 15:33:01 DEBUG|unattended:0499| 		<component language="neutral" name="Microsoft-Windows-Deployment" processorArchitecture="amd64" publicKeyToken="31bf3856ad364e35" versionScope="nonSxS" xmlns:wcm="http://schemas.microsoft.com/WMIConfig/2002/State" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance">
02/18 15:33:01 DEBUG|unattended:0499| 			<RunSynchronous>
02/18 15:33:01 DEBUG|unattended:0499| 				<RunSynchronousCommand wcm:action="add">
02/18 15:33:01 DEBUG|unattended:0499| 					<Description>EnableAdmin</Description>
02/18 15:33:01 DEBUG|unattended:0499| 					<Order>1</Order>
02/18 15:33:01 DEBUG|unattended:0499| 					<Path>cmd /c net user Administrator /active:yes</Path>
02/18 15:33:01 DEBUG|unattended:0499| 				</RunSynchronousCommand>
02/18 15:33:01 DEBUG|unattended:0499| 				<RunSynchronousCommand wcm:action="add">
02/18 15:33:01 DEBUG|unattended:0499| 					<Description>UnfilterAdministratorToken</Description>
02/18 15:33:01 DEBUG|unattended:0499| 					<Order>2</Order>
02/18 15:33:01 DEBUG|unattended:0499| 					<Path>cmd /c reg add HKLM\SOFTWARE\Microsoft\Windows\CurrentVersion\Policies\System /v FilterAdministratorToken /t REG_DWORD /d 0 /f</Path>
02/18 15:33:01 DEBUG|unattended:0499| 				</RunSynchronousCommand>
02/18 15:33:01 DEBUG|unattended:0499| 			</RunSynchronous>
02/18 15:33:01 DEBUG|unattended:0499| 		</component>
02/18 15:33:01 DEBUG|unattended:0499| 		<component language="neutral" name="Microsoft-Windows-International-Core" processorArchitecture="amd64" publicKeyToken="31bf3856ad364e35" versionScope="nonSxS" xmlns:wcm="http://schemas.microsoft.com/WMIConfig/2002/State" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance">
02/18 15:33:01 DEBUG|unattended:0499| 			<InputLocale>0409:00000409</InputLocale>
02/18 15:33:01 DEBUG|unattended:0499| 			<SystemLocale>en-US</SystemLocale>
02/18 15:33:01 DEBUG|unattended:0499| 			<UILanguage>en-US</UILanguage>
02/18 15:33:01 DEBUG|unattended:0499| 			<UserLocale>en-US</UserLocale>
02/18 15:33:01 DEBUG|unattended:0499| 		</component>
02/18 15:33:01 DEBUG|unattended:0499| 	</settings>
02/18 15:33:01 DEBUG|unattended:0499| 	<settings pass="oobeSystem">
02/18 15:33:01 DEBUG|unattended:0499| 		<component language="neutral" name="Microsoft-Windows-Shell-Setup" processorArchitecture="amd64" publicKeyToken="31bf3856ad364e35" versionScope="nonSxS" xmlns:wcm="http://schemas.microsoft.com/WMIConfig/2002/State" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance">
02/18 15:33:01 DEBUG|unattended:0499| 			<UserAccounts>
02/18 15:33:01 DEBUG|unattended:0499|       <!-- Enable the Built-in Administrator Account Starts http://technet.microsoft.com/en-us/library/hh825104.aspx -->
02/18 15:33:01 DEBUG|unattended:0499| 				<AdministratorPassword>
02/18 15:33:01 DEBUG|unattended:0499| 					<Value>1q2w3eP</Value>
02/18 15:33:01 DEBUG|unattended:0499| 					<PlainText>true</PlainText>
02/18 15:33:01 DEBUG|unattended:0499| 				</AdministratorPassword>
02/18 15:33:01 DEBUG|unattended:0499| 			</UserAccounts>
02/18 15:33:01 DEBUG|unattended:0499| 			<OOBE>
02/18 15:33:01 DEBUG|unattended:0499| 				<HideEULAPage>true</HideEULAPage>
02/18 15:33:01 DEBUG|unattended:0499| 				<NetworkLocation>Work</NetworkLocation>
02/18 15:33:01 DEBUG|unattended:0499| 				<ProtectYourPC>1</ProtectYourPC>
02/18 15:33:01 DEBUG|unattended:0499| 				<SkipUserOOBE>true</SkipUserOOBE>
02/18 15:33:01 DEBUG|unattended:0499| 				<SkipMachineOOBE>true</SkipMachineOOBE>
02/18 15:33:01 DEBUG|unattended:0499| 			</OOBE>
02/18 15:33:01 DEBUG|unattended:0499| 			<AutoLogon>
02/18 15:33:01 DEBUG|unattended:0499| 				<Password>
02/18 15:33:01 DEBUG|unattended:0499| 					<Value>1q2w3eP</Value>
02/18 15:33:01 DEBUG|unattended:0499| 					<PlainText>true</PlainText>
02/18 15:33:01 DEBUG|unattended:0499| 				</Password>
02/18 15:33:01 DEBUG|unattended:0499| 				<Enabled>true</Enabled>
02/18 15:33:01 DEBUG|unattended:0499| 				<LogonCount>1000</LogonCount>
02/18 15:33:01 DEBUG|unattended:0499| 				<Username>Administrator</Username>
02/18 15:33:01 DEBUG|unattended:0499|       <!-- Enable the Built-in Administrator Account End http://technet.microsoft.com/en-us/library/hh825104.aspx -->
02/18 15:33:01 DEBUG|unattended:0499| 			</AutoLogon>
02/18 15:33:01 DEBUG|unattended:0499| 			<FirstLogonCommands>
02/18 15:33:01 DEBUG|unattended:0499| 				<SynchronousCommand wcm:action="add">
02/18 15:33:01 DEBUG|unattended:0499| 					<CommandLine>%WINDIR%\System32\cmd /c echo OS install is completed &gt; COM1</CommandLine>
02/18 15:33:01 DEBUG|unattended:0499| 					<Order>1</Order>
02/18 15:33:01 DEBUG|unattended:0499| 				</SynchronousCommand>
02/18 15:33:01 DEBUG|unattended:0499| 				<SynchronousCommand wcm:action="add">
02/18 15:33:01 DEBUG|unattended:0499| 					<CommandLine>%WINDIR%\System32\cmd /c help</CommandLine>
02/18 15:33:01 DEBUG|unattended:0499| 					<Order>2</Order>
02/18 15:33:01 DEBUG|unattended:0499| 				</SynchronousCommand>
02/18 15:33:01 DEBUG|unattended:0499| 				<SynchronousCommand wcm:action="add">
02/18 15:33:01 DEBUG|unattended:0499| 					<CommandLine>%WINDIR%\System32\cmd /c start /w pkgmgr /iu:&quot;TelnetServer&quot;</CommandLine>
02/18 15:33:01 DEBUG|unattended:0499| 					<Order>3</Order>
02/18 15:33:01 DEBUG|unattended:0499| 				</SynchronousCommand>
02/18 15:33:01 DEBUG|unattended:0499| 				<SynchronousCommand wcm:action="add">
02/18 15:33:01 DEBUG|unattended:0499| 					<CommandLine>%WINDIR%\System32\cmd /c sc config TlntSvr start= auto</CommandLine>
02/18 15:33:01 DEBUG|unattended:0499| 					<Order>4</Order>
02/18 15:33:01 DEBUG|unattended:0499| 				</SynchronousCommand>
02/18 15:33:01 DEBUG|unattended:0499| 				<SynchronousCommand wcm:action="add">
02/18 15:33:01 DEBUG|unattended:0499| 					<CommandLine>%WINDIR%\System32\cmd /c netsh firewall set opmode disable</CommandLine>
02/18 15:33:01 DEBUG|unattended:0499| 					<Order>5</Order>
02/18 15:33:01 DEBUG|unattended:0499| 				</SynchronousCommand>
02/18 15:33:01 DEBUG|unattended:0499| 				<SynchronousCommand wcm:action="add">
02/18 15:33:01 DEBUG|unattended:0499| 					<CommandLine>%WINDIR%\System32\cmd /c net start telnet</CommandLine>
02/18 15:33:01 DEBUG|unattended:0499| 					<Order>6</Order>
02/18 15:33:01 DEBUG|unattended:0499| 				</SynchronousCommand>
02/18 15:33:01 DEBUG|unattended:0499| 				<SynchronousCommand wcm:action="add">
02/18 15:33:01 DEBUG|unattended:0499| 					<CommandLine>%WINDIR%\System32\cmd /c E:\autoit3.exe  E:\git\git.au3</CommandLine>
02/18 15:33:01 DEBUG|unattended:0499| 					<Order>7</Order>
02/18 15:33:01 DEBUG|unattended:0499| 				</SynchronousCommand>
02/18 15:33:01 DEBUG|unattended:0499| 				<SynchronousCommand wcm:action="add">
02/18 15:33:01 DEBUG|unattended:0499| 					<CommandLine>%WINDIR%\System32\cmd /c bcdedit /set {current} USEPLATFORMCLOCK yes</CommandLine>
02/18 15:33:01 DEBUG|unattended:0499|           <!-- This is for OS time compensation, https://access.redhat.com/site/documentation/en-US/Red_Hat_Enterprise_Linux/6/html/Virtualization_Host_Configuration_and_Guest_Installation_Guide/chap-Virtualization_Host_Configuration_and_Guest_Installation_Guide-KVM_guest_timing_management.html -->
02/18 15:33:01 DEBUG|unattended:0499| 					<Order>8</Order>
02/18 15:33:01 DEBUG|unattended:0499| 				</SynchronousCommand>
02/18 15:33:01 DEBUG|unattended:0499| 				<SynchronousCommand wcm:action="add">
02/18 15:33:01 DEBUG|unattended:0499| 					<CommandLine>%WINDIR%\System32\cmd /c bcdedit /set {current} bootstatuspolicy ignoreallfailures</CommandLine>
02/18 15:33:01 DEBUG|unattended:0499| 					<Order>9</Order>
02/18 15:33:01 DEBUG|unattended:0499| 				</SynchronousCommand>
02/18 15:33:01 DEBUG|unattended:0499| 				<SynchronousCommand wcm:action="add">
02/18 15:33:01 DEBUG|unattended:0499| 					<CommandLine>%WINDIR%\System32\cmd /c netsh interface ip set address &quot;Local Area Connection&quot; dhcp</CommandLine>
02/18 15:33:01 DEBUG|unattended:0499| 					<Order>10</Order>
02/18 15:33:01 DEBUG|unattended:0499| 				</SynchronousCommand>
02/18 15:33:01 DEBUG|unattended:0499| 				<SynchronousCommand wcm:action="add">
02/18 15:33:01 DEBUG|unattended:0499| 					<CommandLine>%WINDIR%\System32\cmd /c E:\install_driver.bat F:\Balloon\2k12\amd64</CommandLine>
02/18 15:33:01 DEBUG|unattended:0499| 					<Order>11</Order>
02/18 15:33:01 DEBUG|unattended:0499| 				</SynchronousCommand>
02/18 15:33:01 DEBUG|unattended:0499| 				<SynchronousCommand wcm:action="add">
02/18 15:33:01 DEBUG|unattended:0499| 					<CommandLine>%WINDIR%\System32\cmd /c E:\install_driver.bat A:\amd64\Win7</CommandLine>
02/18 15:33:01 DEBUG|unattended:0499| 					<Order>12</Order>
02/18 15:33:01 DEBUG|unattended:0499| 				</SynchronousCommand>
02/18 15:33:01 DEBUG|unattended:0499| 				<SynchronousCommand wcm:action="add">
02/18 15:33:01 DEBUG|unattended:0499| 					<CommandLine>%WINDIR%\System32\cmd /c E:\setuprss.bat</CommandLine>
02/18 15:33:01 DEBUG|unattended:0499| 					<Order>13</Order>
02/18 15:33:01 DEBUG|unattended:0499| 				</SynchronousCommand>
02/18 15:33:01 DEBUG|unattended:0499| 				<SynchronousCommand wcm:action="add">
02/18 15:33:01 DEBUG|unattended:0499| 					<CommandLine>%WINDIR%\System32\cmd /c Dism /online /enable-feature /norestart /featurename:NetFx3 /All /LimitAccess /logpath:C:\install-NetFx3-log.txt</CommandLine>
02/18 15:33:01 DEBUG|unattended:0499|           <!-- Enable .Net Framework version 3.X, and write down the log -->
02/18 15:33:01 DEBUG|unattended:0499| 					<Order>14</Order>
02/18 15:33:01 DEBUG|unattended:0499| 				</SynchronousCommand>
02/18 15:33:01 DEBUG|unattended:0499| 				<SynchronousCommand wcm:action="add">
02/18 15:33:01 DEBUG|unattended:0499| 					<CommandLine>%WINDIR%\System32\cmd /c E:\setupsp.bat</CommandLine>
02/18 15:33:01 DEBUG|unattended:0499| 					<Order>15</Order>
02/18 15:33:01 DEBUG|unattended:0499| 				</SynchronousCommand>
02/18 15:33:01 DEBUG|unattended:0499| 				<SynchronousCommand wcm:action="add">
02/18 15:33:01 DEBUG|unattended:0499| 					<CommandLine>%WINDIR%\System32\cmd /c E:\software_install_64.bat</CommandLine>
02/18 15:33:01 DEBUG|unattended:0499| 					<Order>16</Order>
02/18 15:33:01 DEBUG|unattended:0499| 				</SynchronousCommand>
02/18 15:33:01 DEBUG|unattended:0499| 				<SynchronousCommand wcm:action="add">
02/18 15:33:01 DEBUG|unattended:0499| 					<CommandLine>%WINDIR%\System32\cmd /c Dism /online /enable-feature /norestart /featurename:NetFx3 /All /Source:D:\sources\sxs /LimitAccess /logpath:C:\install-NetFx3-log.txt</CommandLine>
02/18 15:33:01 DEBUG|unattended:0499|           <!-- Enable PowerShell, and write down the log -->
02/18 15:33:01 DEBUG|unattended:0499|           <!-- Packages for each OS: http://technet.microsoft.com/en-us/library/ff699034.aspx -->
02/18 15:33:01 DEBUG|unattended:0499| 					<Order>17</Order>
02/18 15:33:01 DEBUG|unattended:0499| 				</SynchronousCommand>
02/18 15:33:01 DEBUG|unattended:0499| 				<SynchronousCommand wcm:action="add">
02/18 15:33:01 DEBUG|unattended:0499| 					<CommandLine>%WINDIR%\System32\cmd /c echo &quot;NT6.2 or later can boot from AHCI without modify anything, keep this line to make cmd num on all Win OS same&quot;</CommandLine>
02/18 15:33:01 DEBUG|unattended:0499| 					<!-- <CommandLine>%WINDIR%\System32\cmd /c reg add HKEY_LOCAL_MACHINE\System\CurrentControlSet\Services\Msahci /v Start /t REG_DWORD /d 0 /f</CommandLine> -->
02/18 15:33:01 DEBUG|unattended:0499| 					<Order>18</Order>
02/18 15:33:01 DEBUG|unattended:0499| 				</SynchronousCommand>
02/18 15:33:01 DEBUG|unattended:0499| 				<SynchronousCommand wcm:action="add">
02/18 15:33:01 DEBUG|unattended:0499| 					<CommandLine>%WINDIR%\System32\cmd /c echo &quot;NT6.2 or later can boot from AHCI without modify anything, keep this line to make cmd num on all Win OS same&quot;</CommandLine>
02/18 15:33:01 DEBUG|unattended:0499| 					<!-- <CommandLine>%WINDIR%\System32\cmd /c reg add HKEY_LOCAL_MACHINE\System\CurrentControlSet\Services\IastorV /v Start /t REG_DWORD /d 0 /f</CommandLine> -->
02/18 15:33:01 DEBUG|unattended:0499|           <!-- these two registry update makes ahci bootable, NT6.0 or NT6.1 needs http://support.microsoft.com/kb/922976 -->
02/18 15:33:01 DEBUG|unattended:0499| 					<Order>19</Order>
02/18 15:33:01 DEBUG|unattended:0499| 				</SynchronousCommand>
02/18 15:33:01 DEBUG|unattended:0499| 				<SynchronousCommand wcm:action="add">
02/18 15:33:01 DEBUG|unattended:0499| 					<CommandLine>%WINDIR%\System32\cmd /c reg add &quot;HKCU\Control Panel\Desktop&quot; /v ScreenSaveActive /t REG_DWORD /d 0 /f</CommandLine>
02/18 15:33:01 DEBUG|unattended:0499|           <!-- Disable screen saver to let us always can see what happen in guest OS -->
02/18 15:33:01 DEBUG|unattended:0499| 					<Order>20</Order>
02/18 15:33:01 DEBUG|unattended:0499| 				</SynchronousCommand>
02/18 15:33:01 DEBUG|unattended:0499| 				<SynchronousCommand wcm:action="add">
02/18 15:33:01 DEBUG|unattended:0499| 					<CommandLine>%WINDIR%\System32\cmd /c A:\finish.bat dpinst</CommandLine>
02/18 15:33:01 DEBUG|unattended:0499|           <!-- When modifying cmds, pls keep finish.bat always the last one. -->
02/18 15:33:01 DEBUG|unattended:0499| 					<Order>21</Order>
02/18 15:33:01 DEBUG|unattended:0499| 				</SynchronousCommand>
02/18 15:33:01 DEBUG|unattended:0499| 			</FirstLogonCommands>
02/18 15:33:01 DEBUG|unattended:0499| 		</component>
02/18 15:33:01 DEBUG|unattended:0499| 	</settings>
02/18 15:33:01 DEBUG|unattended:0499| 	<cpi:offlineImage cpi:source="wim:c:/install.wim#Windows Longhorn SERVERSTANDARD" xmlns:cpi="urn:schemas-microsoft-com:cpi"/>
02/18 15:33:01 DEBUG|unattended:0499| </unattend>

Comment 1 Xiaoqing Wei 2014-02-20 07:20:35 UTC
Created attachment 865353 [details]
pic

Comment 3 Mike Cao 2014-02-20 08:02:24 UTC
pls try to change your unattend installation file to make the behavior like the windows defaults one 

eg :
<DiskConfiguration>
                <Disk wcm:action="add">
                    <CreatePartitions>
                        <CreatePartition wcm:action="add">
                            <Order>1</Order>
                            <Size>100</Size>
                            <Type>Primary</Type>
                        </CreatePartition>
                        <CreatePartition wcm:action="add">
                            <Extend>true</Extend>
                            <Order>2</Order>
                            <Type>Primary</Type>
                        </CreatePartition>
                    </CreatePartitions>
                    <ModifyPartitions>
                        <ModifyPartition wcm:action="add">
                            <Order>1</Order>
                            <Active>false</Active>
                            <PartitionID>1</PartitionID>
                        </ModifyPartition>
                        <ModifyPartition wcm:action="add">
                            <Order>2</Order>
                            <Letter>C</Letter>
                            <Label>system</Label>
                            <Format>NTFS</Format>
                            <PartitionID>2</PartitionID>
                            <Active>true</Active>
                        </ModifyPartition>
                    </ModifyPartitions>
                    <DiskID>0</DiskID>
                    <WillWipeDisk>true</WillWipeDisk>
                </Disk>
            </DiskConfiguration>

Comment 7 Xiaoqing Wei 2014-03-18 09:37:08 UTC
(In reply to Mike Cao from comment #3)
> pls try to change your unattend installation file to make the behavior like
> the windows defaults one 
> 
> eg :
> <DiskConfiguration>
>                 <Disk wcm:action="add">
>                     <CreatePartitions>
>                         <CreatePartition wcm:action="add">
>                             <Order>1</Order>
>                             <Size>100</Size>
>                             <Type>Primary</Type>
>                         </CreatePartition>
>                         <CreatePartition wcm:action="add">
>                             <Extend>true</Extend>
>                             <Order>2</Order>
>                             <Type>Primary</Type>
>                         </CreatePartition>
>                     </CreatePartitions>
>                     <ModifyPartitions>
>                         <ModifyPartition wcm:action="add">
>                             <Order>1</Order>
>                             <Active>false</Active>
>                             <PartitionID>1</PartitionID>
>                         </ModifyPartition>
>                         <ModifyPartition wcm:action="add">
>                             <Order>2</Order>
>                             <Letter>C</Letter>
>                             <Label>system</Label>
>                             <Format>NTFS</Format>
>                             <PartitionID>2</PartitionID>
>                             <Active>true</Active>
>                         </ModifyPartition>
>                     </ModifyPartitions>
>                     <DiskID>0</DiskID>
>                     <WillWipeDisk>true</WillWipeDisk>
>                 </Disk>
>             </DiskConfiguration>


The xml snip you provided is not working,

missed this part

<InstallTo>
	<DiskID>0</DiskID>
	<PartitionID>2</PartitionID>
</InstallTo>


=============================================

after check the msft docs, I have corrected it as below, now re-testing for 10 times, results will be provide tmr:

autounattend.xml 
<?xml version="1.0" ?><unattend xmlns="urn:schemas-microsoft-com:unattend">
	<settings pass="windowsPE">
		<component language="neutral" name="Microsoft-Windows-International-Core-WinPE" processorArchitecture="amd64" publicKeyToken="31bf3856ad364e35" versionScope="nonSxS" xmlns:wcm="http://schemas.microsoft.com/WMIConfig/2002/State" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance">
			<SetupUILanguage>
				<UILanguage>en-us</UILanguage>
			</SetupUILanguage>
			<InputLocale>0409:00000409</InputLocale>
			<SystemLocale>en-us</SystemLocale>
			<UILanguage>en-us</UILanguage>
			<UILanguageFallback>en-us</UILanguageFallback>
			<UserLocale>en-us</UserLocale>
		</component>
		<component language="neutral" name="Microsoft-Windows-PnpCustomizationsWinPE" processorArchitecture="amd64" publicKeyToken="31bf3856ad364e35" versionScope="nonSxS" xmlns:wcm="http://schemas.microsoft.com/WMIConfig/2002/State" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance">
			<DriverPaths>
				<PathAndCredentials wcm:action="add" wcm:keyValue="1">
					<Path>A:\amd64\Win2012</Path>
				</PathAndCredentials>
				<PathAndCredentials wcm:action="add" wcm:keyValue="2">
					<Path>F:\NetKVM\2k12\amd64</Path>
				</PathAndCredentials>
			</DriverPaths>
		</component>
		<component language="neutral" name="Microsoft-Windows-Setup" processorArchitecture="amd64" publicKeyToken="31bf3856ad364e35" versionScope="nonSxS" xmlns:wcm="http://schemas.microsoft.com/WMIConfig/2002/State" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance">
			<DiskConfiguration>
				<WillShowUI>OnError</WillShowUI>
				<Disk wcm:action="add">
					<CreatePartitions>
						<CreatePartition wcm:action="add">
							<Order>1</Order>
							<Size>100</Size>
							<Type>Primary</Type>
						</CreatePartition>
						<CreatePartition wcm:action="add">
							<Order>2</Order>
							<Extend>true</Extend>
							<Type>Primary</Type>
						</CreatePartition>
					</CreatePartitions>
					<ModifyPartitions>
						<ModifyPartition wcm:action="add">
							<Order>1</Order>
							<Active>false</Active>
							<PartitionID>1</PartitionID>
						</ModifyPartition>
						<ModifyPartition wcm:action="add">
							<Active>true</Active>
							<Format>NTFS</Format>
							<Label>OS_Install</Label>
							<Letter>C</Letter>
							<Order>2</Order>
							<PartitionID>2</PartitionID>
						</ModifyPartition>
					</ModifyPartitions>
					<DiskID>0</DiskID>
					<WillWipeDisk>true</WillWipeDisk>
				</Disk>
			</DiskConfiguration>
			<ImageInstall>
				<OSImage>
					<InstallFrom>
						<MetaData wcm:action="add">
							<Key>/IMAGE/NAME</Key>
              <!--This index depends on your install ISO. Please update to a proper one if install failed. http://technet.microsoft.com/en-us/library/ff716384.aspx -->
              <!-- use "dism /get-wiminfo /wimfile:D:\sources\install.wim" to know which value should be used.-->
							<Value>Windows Server 2012 R2 SERVERDATACENTER</Value>
						</MetaData>
					</InstallFrom>
					<InstallTo>
						<DiskID>0</DiskID>
						<PartitionID>2</PartitionID>
					</InstallTo>
				</OSImage>
			</ImageInstall>
			<UserData>
				<ProductKey>
		      <!-- Work with Product Keys and Activation http://technet.microsoft.com/en-us/library/hh825195.aspx -->
					<Key>NHXMP-R24FP-JT3PQ-BQHRB-QJY6B</Key>
					<WillShowUI>OnError</WillShowUI>
				</ProductKey>
				<AcceptEula>true</AcceptEula>
			</UserData>
		</component>
	</settings>
	<settings pass="specialize">
		<component language="neutral" name="Microsoft-Windows-Deployment" processorArchitecture="amd64" publicKeyToken="31bf3856ad364e35" versionScope="nonSxS" xmlns:wcm="http://schemas.microsoft.com/WMIConfig/2002/State" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance">
			<RunSynchronous>
				<RunSynchronousCommand wcm:action="add">
					<Description>EnableAdmin</Description>
					<Order>1</Order>
					<Path>cmd /c net user Administrator /active:yes</Path>
				</RunSynchronousCommand>
				<RunSynchronousCommand wcm:action="add">
					<Description>UnfilterAdministratorToken</Description>
					<Order>2</Order>
					<Path>cmd /c reg add HKLM\SOFTWARE\Microsoft\Windows\CurrentVersion\Policies\System /v FilterAdministratorToken /t REG_DWORD /d 0 /f</Path>
				</RunSynchronousCommand>
			</RunSynchronous>
		</component>
		<component language="neutral" name="Microsoft-Windows-International-Core" processorArchitecture="amd64" publicKeyToken="31bf3856ad364e35" versionScope="nonSxS" xmlns:wcm="http://schemas.microsoft.com/WMIConfig/2002/State" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance">
			<InputLocale>0409:00000409</InputLocale>
			<SystemLocale>en-US</SystemLocale>
			<UILanguage>en-US</UILanguage>
			<UserLocale>en-US</UserLocale>
		</component>
	</settings>
	<settings pass="oobeSystem">
		<component language="neutral" name="Microsoft-Windows-Shell-Setup" processorArchitecture="amd64" publicKeyToken="31bf3856ad364e35" versionScope="nonSxS" xmlns:wcm="http://schemas.microsoft.com/WMIConfig/2002/State" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance">
			<UserAccounts>
      <!-- Enable the Built-in Administrator Account Starts http://technet.microsoft.com/en-us/library/hh825104.aspx -->
				<AdministratorPassword>
					<Value>1q2w3eP</Value>
					<PlainText>true</PlainText>
				</AdministratorPassword>
			</UserAccounts>
			<OOBE>
				<HideEULAPage>true</HideEULAPage>
				<NetworkLocation>Work</NetworkLocation>
				<ProtectYourPC>1</ProtectYourPC>
				<SkipUserOOBE>true</SkipUserOOBE>
				<SkipMachineOOBE>true</SkipMachineOOBE>
			</OOBE>
			<AutoLogon>
				<Password>
					<Value>1q2w3eP</Value>
					<PlainText>true</PlainText>
				</Password>
				<Enabled>true</Enabled>
				<LogonCount>1000</LogonCount>
				<Username>Administrator</Username>
      <!-- Enable the Built-in Administrator Account End http://technet.microsoft.com/en-us/library/hh825104.aspx -->
			</AutoLogon>
			<FirstLogonCommands>
				<SynchronousCommand wcm:action="add">
					<CommandLine>%WINDIR%\System32\cmd /c echo OS install is completed &gt; COM1</CommandLine>
					<Order>1</Order>
				</SynchronousCommand>
				<SynchronousCommand wcm:action="add">
					<CommandLine>%WINDIR%\System32\cmd /c help</CommandLine>
					<Order>2</Order>
				</SynchronousCommand>
				<SynchronousCommand wcm:action="add">
					<CommandLine>%WINDIR%\System32\cmd /c start /w pkgmgr /iu:&quot;TelnetServer&quot;</CommandLine>
					<Order>3</Order>
				</SynchronousCommand>
				<SynchronousCommand wcm:action="add">
					<CommandLine>%WINDIR%\System32\cmd /c sc config TlntSvr start= auto</CommandLine>
					<Order>4</Order>
				</SynchronousCommand>
				<SynchronousCommand wcm:action="add">
					<CommandLine>%WINDIR%\System32\cmd /c netsh firewall set opmode disable</CommandLine>
					<Order>5</Order>
				</SynchronousCommand>
				<SynchronousCommand wcm:action="add">
					<CommandLine>%WINDIR%\System32\cmd /c net start telnet</CommandLine>
					<Order>6</Order>
				</SynchronousCommand>
				<SynchronousCommand wcm:action="add">
					<CommandLine>%WINDIR%\System32\cmd /c E:\autoit3.exe  E:\git\git.au3</CommandLine>
					<Order>7</Order>
				</SynchronousCommand>
				<SynchronousCommand wcm:action="add">
					<CommandLine>%WINDIR%\System32\cmd /c bcdedit /set {current} USEPLATFORMCLOCK yes</CommandLine>
          <!-- This is for OS time compensation, https://access.redhat.com/site/documentation/en-US/Red_Hat_Enterprise_Linux/6/html/Virtualization_Host_Configuration_and_Guest_Installation_Guide/chap-Virtualization_Host_Configuration_and_Guest_Installation_Guide-KVM_guest_timing_management.html -->
					<Order>8</Order>
				</SynchronousCommand>
				<SynchronousCommand wcm:action="add">
					<CommandLine>%WINDIR%\System32\cmd /c bcdedit /set {current} bootstatuspolicy ignoreallfailures</CommandLine>
					<Order>9</Order>
				</SynchronousCommand>
				<SynchronousCommand wcm:action="add">
					<CommandLine>%WINDIR%\System32\cmd /c netsh interface ip set address &quot;Local Area Connection&quot; dhcp</CommandLine>
					<Order>10</Order>
				</SynchronousCommand>
				<SynchronousCommand wcm:action="add">
					<CommandLine>%WINDIR%\System32\cmd /c E:\install_driver.bat F:\Balloon\2k12\amd64</CommandLine>
					<Order>11</Order>
				</SynchronousCommand>
				<SynchronousCommand wcm:action="add">
					<CommandLine>%WINDIR%\System32\cmd /c E:\install_driver.bat A:\amd64\Win7</CommandLine>
					<Order>12</Order>
				</SynchronousCommand>
				<SynchronousCommand wcm:action="add">
					<CommandLine>%WINDIR%\System32\cmd /c E:\setuprss.bat</CommandLine>
					<Order>13</Order>
				</SynchronousCommand>
				<SynchronousCommand wcm:action="add">
					<CommandLine>%WINDIR%\System32\cmd /c Dism /online /enable-feature /norestart /featurename:NetFx3 /All /LimitAccess /logpath:C:\install-NetFx3-log.txt</CommandLine>
          <!-- Enable .Net Framework version 3.X, and write down the log -->
					<Order>14</Order>
				</SynchronousCommand>
				<SynchronousCommand wcm:action="add">
					<CommandLine>%WINDIR%\System32\cmd /c E:\setupsp.bat</CommandLine>
					<Order>15</Order>
				</SynchronousCommand>
				<SynchronousCommand wcm:action="add">
					<CommandLine>%WINDIR%\System32\cmd /c E:\software_install_64.bat</CommandLine>
					<Order>16</Order>
				</SynchronousCommand>
				<SynchronousCommand wcm:action="add">
					<CommandLine>%WINDIR%\System32\cmd /c Dism /online /enable-feature /norestart /featurename:NetFx3 /All /Source:D:\sources\sxs /LimitAccess /logpath:C:\install-NetFx3-log.txt</CommandLine>
          <!-- Enable PowerShell, and write down the log -->
          <!-- Packages for each OS: http://technet.microsoft.com/en-us/library/ff699034.aspx -->
					<Order>17</Order>
				</SynchronousCommand>
				<SynchronousCommand wcm:action="add">
					<CommandLine>%WINDIR%\System32\cmd /c echo &quot;NT6.2 or later can boot from AHCI without modify anything, keep this line to make cmd num on all Win OS same&quot;</CommandLine>
					<!-- <CommandLine>%WINDIR%\System32\cmd /c reg add HKEY_LOCAL_MACHINE\System\CurrentControlSet\Services\Msahci /v Start /t REG_DWORD /d 0 /f</CommandLine> -->
					<Order>18</Order>
				</SynchronousCommand>
				<SynchronousCommand wcm:action="add">
					<CommandLine>%WINDIR%\System32\cmd /c echo &quot;NT6.2 or later can boot from AHCI without modify anything, keep this line to make cmd num on all Win OS same&quot;</CommandLine>
					<!-- <CommandLine>%WINDIR%\System32\cmd /c reg add HKEY_LOCAL_MACHINE\System\CurrentControlSet\Services\IastorV /v Start /t REG_DWORD /d 0 /f</CommandLine> -->
          <!-- these two registry update makes ahci bootable, NT6.0 or NT6.1 needs http://support.microsoft.com/kb/922976 -->
					<Order>19</Order>
				</SynchronousCommand>
				<SynchronousCommand wcm:action="add">
					<CommandLine>%WINDIR%\System32\cmd /c reg add &quot;HKCU\Control Panel\Desktop&quot; /v ScreenSaveActive /t REG_DWORD /d 0 /f</CommandLine>
          <!-- Disable screen saver to let us always can see what happen in guest OS -->
					<Order>20</Order>
				</SynchronousCommand>
				<SynchronousCommand wcm:action="add">
					<CommandLine>%WINDIR%\System32\cmd /c A:\finish.bat dpinst</CommandLine>
          <!-- When modifying cmds, pls keep finish.bat always the last one. -->
					<Order>21</Order>
				</SynchronousCommand>
			</FirstLogonCommands>
		</component>
	</settings>
	<cpi:offlineImage cpi:source="wim:c:/install.wim#Windows Longhorn SERVERSTANDARD" xmlns:cpi="urn:schemas-microsoft-com:cpi"/>

Comment 8 Mike Cao 2014-03-18 09:49:00 UTC
(In reply to Xiaoqing Wei from comment #7)
> (In reply to Mike Cao from comment #3)
> > pls try to change your unattend installation file to make the behavior like
> > the windows defaults one 
> > 
> > eg :
> > <DiskConfiguration>
> >                 <Disk wcm:action="add">
> >                     <CreatePartitions>
> >                         <CreatePartition wcm:action="add">
> >                             <Order>1</Order>
> >                             <Size>100</Size>
> >                             <Type>Primary</Type>
> >                         </CreatePartition>
> >                         <CreatePartition wcm:action="add">
> >                             <Extend>true</Extend>
> >                             <Order>2</Order>
> >                             <Type>Primary</Type>
> >                         </CreatePartition>
> >                     </CreatePartitions>
> >                     <ModifyPartitions>
> >                         <ModifyPartition wcm:action="add">
> >                             <Order>1</Order>
> >                             <Active>false</Active>
> >                             <PartitionID>1</PartitionID>
> >                         </ModifyPartition>
> >                         <ModifyPartition wcm:action="add">
> >                             <Order>2</Order>
> >                             <Letter>C</Letter>
> >                             <Label>system</Label>
> >                             <Format>NTFS</Format>
> >                             <PartitionID>2</PartitionID>
> >                             <Active>true</Active>
> >                         </ModifyPartition>
> >                     </ModifyPartitions>
> >                     <DiskID>0</DiskID>
> >                     <WillWipeDisk>true</WillWipeDisk>
> >                 </Disk>
> >             </DiskConfiguration>
> 
> 
> The xml snip you provided is not working,
> 
> missed this part
> 
> <InstallTo>
> 	<DiskID>0</DiskID>
> 	<PartitionID>2</PartitionID>
> </InstallTo>
> 
> 
You are right ,I did not check your scripts carefully ,I assum <partitionID>1</PartitionID> is in your scripts

Mike


Note You need to log in before you can comment on or make changes to this bug.